package com.atlassian.stash.internal.io;

import java.io.PrintWriter;
import java.io.Writer;

/**
 * PrintWriter that always uses '\n' (LF) for println() and friends instead of the platform-dependent line separator.
 * @since 3.3
 */
public class LineFeedPrintWriter extends PrintWriter {

    public LineFeedPrintWriter(Writer out) {
        super(out);
    }

    @Override
    public void println() {
        write('\n');
    }
}
